@import "./components/size-placeholder.css";
@import "./components/gap.css";
@import "./components/disabled.css";
@import "./components/property.css";

body {
  font-family: system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto,
    Oxygen, Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;

  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 0;
}

header {
  margin-top: 24px;
  font-size: 40px;
  font-weight: 700;
}

main {
  margin-top: 16px;
  display: flex;
  gap: 12px;
}

/* Editor */

#main-editor {
  background-color: #ecf0f1;
  width: 350px;
  display: flex;
  flex-direction: column;
  padding: 24px;
  border-radius: 8px;
  font-size: 16px;
  font-family: monospace;
}

#flexbox-code,
#flex-item-code,
#flex-item-teal-code {
  display: flex;
  flex-direction: column;
  gap: 4px;
}

/* Preview */

#main-preview {
  width: 500px;
  height: 500px;
  border: 1px solid black;
  display: flex;
}

.flex-item {
  background-color: tomato;
  color: white;
  font-size: 32px;
  display: flex;
  justify-content: center;
  align-items: center;
}

/* responsiveness */

@media screen and (max-width: 862px) {
  main {
    flex-direction: column-reverse;
    align-items: center;
  }

  #main-editor {
    width: 400px;
    font-size: 14px;
  }

  #main-preview {
    width: 400px;
    height: 400px;
  }
}
